// creator  : weidu.exe (version 23100)
// argument : HEARTG4.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HEARTG4~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 4 5 6 even though they appear after this state */
~ReputationGT(LastTalkedToBy,14)
~ THEN BEGIN 0 // from:
  SAY #25371 /* ~I am Sir Mardus, Guardian of Torm.  May duty prevail, my friend. Torm's blessing upon thee.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 4 5 6 even though they appear after this state */
~ReputationGT(LastTalkedToBy,6)
ReputationLT(LastTalkedToBy,15)
~ THEN BEGIN 1 // from:
  SAY #25374 /* ~I am Sir Mardus, Guardian of Torm.  Learn to follow the path of Torm, seeker. May duty prevail.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 4 5 6 even though they appear after this state */
~ReputationLT(LastTalkedToBy,7)
~ THEN BEGIN 2 // from:
  SAY #25383 /* ~I am Sir Mardus, Guardian of Torm.  Take your carcass out of my sight, foul one! By Torm's hand shall your ilk be taken from the earth.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 4 5 6 even though they appear after this state */
~False()~ THEN BEGIN 3 // from:
  SAY #36784 /* ~Your name is spoken well of by those that matter most. Go to the Prelate, for he has much to say.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Global("PaladinOrder","GLOBAL",1)
InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 4 // from:
  SAY #36785 /* ~Welcome to the great Order. Torm guide you in your duties.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Global("PaladinOrder","GLOBAL",2)
InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 5 // from:
  SAY #36786 /* ~I cannot fathom why you would turn down such an honor, but my hopes go with you in your travels regardless.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~Global("PaladinOrder","GLOBAL",3)
InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 6 // from:
  SAY #36787 /* ~You have proven unworthy of the Order. Go and seek your fortune elsewhere, for you will find no sanctuary here.~ */
  IF ~~ THEN EXIT
END
